@import "~scss/variables";

.swag-guided-shopping-presentation-detail-cms-pages {

  &_preview_action_button {
    font-weight: 600;
    font-size: 14px;
  }

  &.header {
    display: grid;
    grid-template-columns: 1fr 1fr;
  }

  &.sw-card {
    .sw-card__titles {
      width: 100%;
      display: flex;
      justify-content: space-between;
    }
    .sw-card__toolbar {
      margin-top: 0;
      border: none;
      padding: 24px;
      border-top: 1px solid #d1d9e0;
    }

    .sw-card-filter {
      display: contents;

      .sw-card-filter-container {
        .sw-simple-search-field__input input {
          height: 36px;
        }
      }
    }

    .action-buttons {
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 10px;
    }

  }

  .new-cms-buttons {
    .sw-tooltip--wrapper {
      display: inline;
    }
  }

  .sw-data-grid-settings__trigger {
    margin-right: 0 !important;
  }

  .edit-product-relation {
    text-align: center;
  }

  .cms-warning {
    margin-left: 12px;
  }

  .new-layout-title {
    margin-left: 15px;
    margin-right: 5px;
  }

  .sw-product-added {
    display: flex;
    align-items: center;
    font-size: 14px;
    font-weight: 600;
    text-decoration: underline !important;
    color: $color-shopware-brand-700 !important;
    gap: 5px;
    .sw-entity-single-select__selection-text {
      color: $color-shopware-brand-700 !important;
    }
  }

  .sw-data-grid {
    .sw-data-grid__body {
      .sw-data-grid__cell--title {
        .sw-data-grid__cell-content {
          max-width: 450px;
          .content-wrapper {
            display: flex;
            flex-direction: column;
            align-items: flex-start;
            min-width: 0;
            flex: 1;

            .title {
              align-items: center;
              display: flex;
              width: 100%;
              a {
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                margin-right: 5px;
                font-weight: 600;
              }

              .sw-label {
                background-color: transparent;
                width: 16px !important;
                height: 16px !important;
                padding: 0;
              }
            }
            .layout-type-text {
              line-height: 1;
            }
          }
        }
      }
      .sw-data-grid__cell--data {
        .sw-data-grid__cell-content {
          width: 250px;
        }
      }
      .sw-data-grid__cell-content {
        min-height: auto;
      }
    }

    .sw-data-grid__row {
      &.is--inline-edit {
        padding: 5px;
        .content-wrapper {
          .title {
              .sw-block-field input{
                  padding: 0 10px 0 10px;
              }
          }

          .layout-type-text {
            padding-left: 10px;
          }
        }

        .override-content-button {
          margin-left: 5px;
        }
      }

      .products-select {
        margin: 0 !important;
        width: auto;
        .sw-entity-single-select__selection {
          padding-right: 0;
        }
        .sw-product-variant-info__specification {
          display: none;
        }
      }

      .sw-select {
        &.is--disabled {
          .sw-select__selection-indicators,
          .sw-entity-single-select__selection-input,
          .sw-select-selection-list__input {
            display: none;
          }

          .sw-select-selection-list .sw-select-selection-list__item-holder {
            margin: 0;
            margin-bottom: 3px;
          }

          .sw-entity-single-select__selection-text, .sw-select__selection {
            padding: 0;
          }

          .sw-product-variant-info {
            padding: 0;
          }

          .sw-label {
            height: 22px;
            padding: 0 8px;
            min-width: 26px;
            line-height: 19px;
          }

          .sw-select-selection-list__load-more {
            line-height: 8px;

            .sw-select-selection-list__load-more-button {
              height: 20px;
              padding: 0 8px;
              line-height: 8px;
              margin: 0;
            }
          }

          .sw-block-field__block {
            background-color: transparent;
            border: none;
            padding: 0;
          }

        }
      }

      .sw-data-grid__cell--data {
        .sw-data-grid__cell-content {
          display: block;
          padding: 10px 20px;

          .sw-entity-single-select + .sw-entity-multi-select {
            margin-top: 5px;
          }

          .sw-field--item-notes {
            min-width: 150px;
          }

          .sw-button:not(:last-child) {
            margin-right: 0; // prevent btn moving
          }

        }

        .icon--default-badge-warning {
          margin-right: 5px;
        }
      }
    }
  }

  .sw-data-grid-column-position {
    button {
      .sw-icon {
        padding: 3px !important;
      }
    }
  }

  .sw-card__toolbar {
    display: grid;
    grid-template-columns: 2fr 0.5fr;
    place-items: stretch;

    .sw-entity-single-select {
      margin-bottom: 0;
    }

    .sw-button {
      padding: 2px 15px;
    }
  }

  .sw-card__content {
    padding: 0;
  }

  .override-content-button {
    padding: 0;
    width: 32px;
    height: 32px;
    flex-basis: 32px;
    flex-grow: 0;
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .section-column-title {
    text-align: center;
    margin-right: 10px;
  }
}

.sw-modal-product-assignment {
  .sw-modal__body {
    padding: 0;
    .sw-many-to-many-assignment-card {
      margin-bottom: 0;
    }
  }
}
